# Command: insertelement

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    insertelement - insert an element to a container at a specific position

Synopsis:

    (string1) n c insertelement -> (string2)
      Inserts the character c into string1, starting at position n.

      [array1] n any insertelement -> [array3]
      Inserts element any into array1, starting at
      position n
      Examples:(hello) 3 44 insertelement -> (hel,lo)
      [1 2 3] 1 (hello) insertelement -> [1 (hello) 2 3]

SeeAlso:

- join
- insert
- append
- prepend

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/sli/slidata.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative